
#define VERSION "0.3.0"
#define CONF_FILE "/etc/mailgw/mailgw.conf"
#define NEWSGROUP_MAP "/etc/mailgw/newsgroup.map"
#define BULLETIN_MAP "/etc/mailgw/bulletin.map"
#define EMAIL_SRC "/etc/mailgw/email-src.map"
#define EMAIL_DST "/etc/mailgw/email-dst.map"
#define PBBS_SRC "/etc/mailgw/pbbs-src.map"
#define PBBS_DST "/etc/mailgw/pbbs-dst.map"

#define PATHLEN 1024
#define LINELEN 8192
#define ADDRLEN 512

#define SLEEP_TIME 10
#define SLEEP_TIMES 6

struct cmd {
	char	*name;
	int	(*function)	(void *dest, int argc, char **argv);
	void	*dest;
};

struct newsgroup_map {
	char	*newsgroup;
	char	*to;
	char	*bbs;
	char	*from;
	char	*frombbs;
	struct newsgroup_map *next;
};

extern char *hostname;
extern char *callsign;
extern char *hroute;
extern char *qth;

extern char *importfile;
extern char *importlock;
extern char *exportfile;
extern char *exportlock;
extern char *spooldir;
extern char *innxmit;
extern char *sendmail;

extern int parse_args(char *argv[],char *cmd);

extern int read_config(void);
extern int read_newsgroup_map(char *fname, int pbbs, struct newsgroup_map **start);

extern char *map_address(char *in, char *map);


