
#include <stdio.h>
#include <stdarg.h>
#include <syslog.h>
#include "log.h"
#include "config.h"

int loglevel = 15;	/* Logging level */
int logdest = 3;	/* Logging destination */

extern void say(int level, const char *fmt, ...)
{
	va_list args;
	char s[LINELEN];
	
	va_start(args, fmt);
	vsnprintf(s, LINELEN, fmt, args);
	va_end(args);
	
	if ((loglevel & level)) {
		if ((logdest & L_STDERR))
			fprintf(stderr, "%s\n", s);
		if ((logdest & L_SYSLOG))
			syslog(LOG_ERR, "%s", s);
	}
}

