#include <ctype.h>

#include "utils.h"

/*
 *	hstrncpy() and hstrncat: Just like strncpy and strncat, but 
 *	these ones make sure the returned string *is* null-terminated.
 */

char *hstrncpy(char *dest, const char *src, size_t n)
{
	strncpy(dest, src, n);
	dest[n-1] = '\0';
	
	return dest;
}

char *hstrncat(char *dest, const char *src, size_t n)
{
	if (strlen(dest) < n) {
		strncat(dest, src, n - strlen(dest));
	}
	dest[n-1] = '\0';
	
	return dest;
}

/*
 *	Convert a string to upper case
 */

char *strupr(char *s)
{
	char *p;

	if (s == NULL)
		return NULL;
	
	for (p = s; *p != '\0'; p++)
		*p = toupper(*p);
		
	return s;
}

/*
 *	Convert a string to lower case
 */

char *strlwr(char *s)
{
	char *p;

	if (s == NULL)
		return NULL;
	
	for (p = s; *p != '\0'; p++)
		*p = tolower(*p);

	return s;
}

